Create Card

Creates a physical or virtual card and issues it to the specified cardholder.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
number
required
≥ 0

The total credit limit assigned to the card, currency refer to card_currency. This is not a cumulative balance, but a fixed credit limit similar to that of a credit card.

string
enum
required

The card currency. For example USD, SGD or XUSD.

Allowed:
uuid
required

The cardholder’s unique identifier.

string
required

The card product's unique identifier.

string
length ≤ 36

Unique identifier for the card group.

spending_controls
array of objects

Rules that control spending for this card.

spending_controls
risk_controls
object

Risk control configuration object.

Currently supported fields:

  • allow_3ds_transactions: Determines whether 3D Secure challenge flow is allowed when a transaction triggers 3DS.

    • Y: OTP verification may be required (default).
    • N: No OTP will be required, and the user can enjoy a seamless payment experience.

    Note: This setting is only applicable to cards with the BIN 49372410 (production environment) or 40963608 (sandbox environment).

  • enable_3ds: Independent channel 3DS switch passed through to the issuing channel.

    • Y: Enable channel 3DS.
    • N: Disable channel 3DS.
  • allowed_mcc: Specifies a whitelist of Merchant Category Codes (MCCs) that are permitted for transactions. All transactions under MCCs not listed here will be declined.

  • blocked_mcc: Specifies a blacklist of Merchant Category Codes (MCCs) that are restricted for transactions. Transactions under these MCCs will be declined, while all other transactions will proceed through the standard Revocards risk control evaluation.

    Note: Only one of allowed_mcc or blocked_mcc can be configured per card. If neither is provided, transactions will follow the default risk control logic.
    Values must be provided as a JSON array of strings, e.g. "allowed_mcc": ["6551"] or "blocked_mcc": ["5999", "6011"]. There is no limit on the number of MCCs included.

metadata
object

Any key-value object. Max length = 3200 bytes. This must be valid JSON data.

Headers
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.

uuid
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json